Subject: Re: I: gcc ... -U_WIN32 ... may cause problems
From: [email-masked] (Stipe Tolj)

10 Sep 1998 20:03:36 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: Mumit Khan <[email-masked]>, gw32 <[email-masked]>

> ---Mumit Khan <[email-masked]> wrote:
> >
> > On Mon, 31 Aug 1998, Geoffrey Noer wrote:
> >
> > >
> > > Perhaps -Dunix should be added to the define list whenever
> > > __CYGWIN32__ is defined?  Linux includes -Dunix and
> -Asystem(posix) in
> > > CPP_PREDEFINES (looking at gcc/config/i386/linux.h).
> > >
> >
> > I see no problem in cygwin32 specs defining "unix", but I have yet to
> > see a good argument for getting rid of _WIN32 from x86-win32 targets,
> > especially from mingw32.
> >
>
> The `argument' I have for removing the _WIN32 from cygwin32 (I'll live
> with mingw32) is that there exists code that already has some porting
> to WIN32 and it gets in the way of wanting to build the __UNIX__
> version under WIN32.  Since this is the goal of the Cygnus Project
> then it would be best served to remove the definitions of _WIN32.

I support this opinion, since I had many confusing #define structures to do
while poring the apache-1.3.1 server and the php-3.0.3 pre-processor to
cygwin32.

Regards, Stipe.

--
Stipe Tolj <[email-masked]>
Cygwin32 Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".